org.apache.ignite.internal.processors.cache.distributed.dht.preloader

## Class GridDhtPartitionDemander.RebalanceFuture

- java.lang.Object
- - org.apache.ignite.internal.util.future.GridFutureAdapter<Boolean>
  - - org.apache.ignite.internal.processors.cache.distributed.dht.preloader.GridDhtPartitionDemander.RebalanceFuture

All Implemented Interfaces:
  IgniteInternalFuture<Boolean>

Enclosing class:
  GridDhtPartitionDemander

    public static class GridDhtPartitionDemander.RebalanceFuture
    extends GridFutureAdapter<Boolean>

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `cancel()` Cancels this future.
`AffinityTopologyVersion` `topologyVersion()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.util.future.GridFutureAdapter

`chain, chain, error, get, get, get, getUninterruptibly, ignoreInterrupts, isCancelled, isDone, isFailed, listen, logger, onCancelled, onDone, onDone, onDone, onDone, onDone, reset, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### topologyVersion

    public AffinityTopologyVersion topologyVersion()

Returns:
  Topology version.

#### cancel

    public boolean cancel()

Cancels this future.

Specified by:
  `cancel` in interface `IgniteInternalFuture<Boolean>`
Overrides:
  `cancel` in class `GridFutureAdapter<Boolean>`
Returns:
  `True`.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridFutureAdapter<Boolean>`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018